bottleneck testcase based on rubbos
[bottlenecks.git] / rubbos / app / tomcat-connectors-1.2.32-src / native / config.status
1 #! /bin/bash
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/bash}
11 ## --------------------- ##
12 ## M4sh Initialization.  ##
13 ## --------------------- ##
14
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17   emulate sh
18   NULLCMD=:
19   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20   # is contrary to our usage.  Disable this feature.
21   alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23   set -o posix
24 fi
25 DUALCASE=1; export DUALCASE # for MKS sh
26
27 # Support unset when possible.
28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29   as_unset=unset
30 else
31   as_unset=false
32 fi
33
34
35 # Work around bugs in pre-3.0 UWIN ksh.
36 $as_unset ENV MAIL MAILPATH
37 PS1='$ '
38 PS2='> '
39 PS4='+ '
40
41 # NLS nuisances.
42 for as_var in \
43   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45   LC_TELEPHONE LC_TIME
46 do
47   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48     eval $as_var=C; export $as_var
49   else
50     $as_unset $as_var
51   fi
52 done
53
54 # Required to use basename.
55 if expr a : '\(a\)' >/dev/null 2>&1; then
56   as_expr=expr
57 else
58   as_expr=false
59 fi
60
61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62   as_basename=basename
63 else
64   as_basename=false
65 fi
66
67
68 # Name of the executable.
69 as_me=`$as_basename "$0" ||
70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71          X"$0" : 'X\(//\)$' \| \
72          X"$0" : 'X\(/\)$' \| \
73          .     : '\(.\)' 2>/dev/null ||
74 echo X/"$0" |
75     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76           /^X\/\(\/\/\)$/{ s//\1/; q; }
77           /^X\/\(\/\).*/{ s//\1/; q; }
78           s/.*/./; q'`
79
80
81 # PATH needs CR, and LINENO needs CR and PATH.
82 # Avoid depending upon Character Ranges.
83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86 as_cr_digits='0123456789'
87 as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89 # The user is always right.
90 if test "${PATH_SEPARATOR+set}" != set; then
91   echo "#! /bin/sh" >conf$$.sh
92   echo  "exit 0"   >>conf$$.sh
93   chmod +x conf$$.sh
94   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95     PATH_SEPARATOR=';'
96   else
97     PATH_SEPARATOR=:
98   fi
99   rm -f conf$$.sh
100 fi
101
102
103   as_lineno_1=$LINENO
104   as_lineno_2=$LINENO
105   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106   test "x$as_lineno_1" != "x$as_lineno_2" &&
107   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
108   # Find who we are.  Look in the path if we contain no path at all
109   # relative or not.
110   case $0 in
111     *[\\/]* ) as_myself=$0 ;;
112     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113 for as_dir in $PATH
114 do
115   IFS=$as_save_IFS
116   test -z "$as_dir" && as_dir=.
117   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118 done
119
120        ;;
121   esac
122   # We did not find ourselves, most probably we were run as `sh COMMAND'
123   # in which case we are not to be found in the path.
124   if test "x$as_myself" = x; then
125     as_myself=$0
126   fi
127   if test ! -f "$as_myself"; then
128     { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130    { (exit 1); exit 1; }; }
131   fi
132   case $CONFIG_SHELL in
133   '')
134     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136 do
137   IFS=$as_save_IFS
138   test -z "$as_dir" && as_dir=.
139   for as_base in sh bash ksh sh5; do
140          case $as_dir in
141          /*)
142            if ("$as_dir/$as_base" -c '
143   as_lineno_1=$LINENO
144   as_lineno_2=$LINENO
145   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146   test "x$as_lineno_1" != "x$as_lineno_2" &&
147   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
148              $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149              $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150              CONFIG_SHELL=$as_dir/$as_base
151              export CONFIG_SHELL
152              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153            fi;;
154          esac
155        done
156 done
157 ;;
158   esac
159
160   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161   # uniformly replaced by the line number.  The first 'sed' inserts a
162   # line-number line before each line; the second 'sed' does the real
163   # work.  The second script uses 'N' to pair each line-number line
164   # with the numbered line, and appends trailing '-' during
165   # substitution so that $LINENO is not a special case at line end.
166   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
168   sed '=' <$as_myself |
169     sed '
170       N
171       s,$,-,
172       : loop
173       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174       t loop
175       s,-$,,
176       s,^['$as_cr_digits']*\n,,
177     ' >$as_me.lineno &&
178   chmod +x $as_me.lineno ||
179     { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181    { (exit 1); exit 1; }; }
182
183   # Don't try to exec as it changes $[0], causing all sort of problems
184   # (the dirname of $[0] is not the place where we might find the
185   # original and so on.  Autoconf is especially sensible to this).
186   . ./$as_me.lineno
187   # Exit status is that of the last command.
188   exit
189 }
190
191
192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193   *c*,-n*) ECHO_N= ECHO_C='
194 ' ECHO_T='      ' ;;
195   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
197 esac
198
199 if expr a : '\(a\)' >/dev/null 2>&1; then
200   as_expr=expr
201 else
202   as_expr=false
203 fi
204
205 rm -f conf$$ conf$$.exe conf$$.file
206 echo >conf$$.file
207 if ln -s conf$$.file conf$$ 2>/dev/null; then
208   # We could just check for DJGPP; but this test a) works b) is more generic
209   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210   if test -f conf$$.exe; then
211     # Don't use ln at all; we don't have any links
212     as_ln_s='cp -p'
213   else
214     as_ln_s='ln -s'
215   fi
216 elif ln conf$$.file conf$$ 2>/dev/null; then
217   as_ln_s=ln
218 else
219   as_ln_s='cp -p'
220 fi
221 rm -f conf$$ conf$$.exe conf$$.file
222
223 if mkdir -p . 2>/dev/null; then
224   as_mkdir_p=:
225 else
226   test -d ./-p && rmdir ./-p
227   as_mkdir_p=false
228 fi
229
230 as_executable_p="test -f"
231
232 # Sed expression to map a string onto a valid CPP name.
233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235 # Sed expression to map a string onto a valid variable name.
236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239 # IFS
240 # We need space, tab and new line, in precisely that order.
241 as_nl='
242 '
243 IFS="   $as_nl"
244
245 # CDPATH.
246 $as_unset CDPATH
247
248 exec 6>&1
249
250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
251 # report actual input values of CONFIG_FILES etc. instead of their
252 # values after options handling.  Logging --version etc. is OK.
253 exec 5>>config.log
254 {
255   echo
256   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257 ## Running $as_me. ##
258 _ASBOX
259 } >&5
260 cat >&5 <<_CSEOF
261
262 This file was extended by $as_me, which was
263 generated by GNU Autoconf 2.59.  Invocation command line was
264
265   CONFIG_FILES    = $CONFIG_FILES
266   CONFIG_HEADERS  = $CONFIG_HEADERS
267   CONFIG_LINKS    = $CONFIG_LINKS
268   CONFIG_COMMANDS = $CONFIG_COMMANDS
269   $ $0 $@
270
271 _CSEOF
272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273 echo >&5
274 config_files=" Makefile apache-1.3/Makefile apache-1.3/Makefile.apxs apache-2.0/Makefile apache-2.0/Makefile.apxs common/Makefile common/list.mk common/jk_types.h jni/Makefile"
275 config_headers=" common/config.h"
276 config_commands=" depfiles"
277
278 ac_cs_usage="\
279 \`$as_me' instantiates files from templates according to the
280 current configuration.
281
282 Usage: $0 [OPTIONS] [FILE]...
283
284   -h, --help       print this help, then exit
285   -V, --version    print version number, then exit
286   -q, --quiet      do not print progress messages
287   -d, --debug      don't remove temporary files
288       --recheck    update $as_me by reconfiguring in the same conditions
289   --file=FILE[:TEMPLATE]
290                    instantiate the configuration file FILE
291   --header=FILE[:TEMPLATE]
292                    instantiate the configuration header FILE
293
294 Configuration files:
295 $config_files
296
297 Configuration headers:
298 $config_headers
299
300 Configuration commands:
301 $config_commands
302
303 Report bugs to <bug-autoconf@gnu.org>."
304 ac_cs_version="\
305 config.status
306 configured by ./configure, generated by GNU Autoconf 2.59,
307   with options \"'--with-apxs=/bottlenecks/rubbos/app/apache2/bin/apxs' '--enable-jni' '--with-java-home=/bottlenecks/rubbos/app/jdk1.6.0_27'\"
308
309 Copyright (C) 2003 Free Software Foundation, Inc.
310 This config.status script is free software; the Free Software Foundation
311 gives unlimited permission to copy, distribute and modify it."
312 srcdir=.
313 INSTALL="/usr/bin/install -c"
314 # If no file are specified by the user, then we need to provide default
315 # value.  By we need to know if files were specified by the user.
316 ac_need_defaults=:
317 while test $# != 0
318 do
319   case $1 in
320   --*=*)
321     ac_option=`expr "x$1" : 'x\([^=]*\)='`
322     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
323     ac_shift=:
324     ;;
325   -*)
326     ac_option=$1
327     ac_optarg=$2
328     ac_shift=shift
329     ;;
330   *) # This is not an option, so the user has probably given explicit
331      # arguments.
332      ac_option=$1
333      ac_need_defaults=false;;
334   esac
335
336   case $ac_option in
337   # Handling of the options.
338   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
339     ac_cs_recheck=: ;;
340   --version | --vers* | -V )
341     echo "$ac_cs_version"; exit 0 ;;
342   --he | --h)
343     # Conflict between --help and --header
344     { { echo "$as_me:$LINENO: error: ambiguous option: $1
345 Try \`$0 --help' for more information." >&5
346 echo "$as_me: error: ambiguous option: $1
347 Try \`$0 --help' for more information." >&2;}
348    { (exit 1); exit 1; }; };;
349   --help | --hel | -h )
350     echo "$ac_cs_usage"; exit 0 ;;
351   --debug | --d* | -d )
352     debug=: ;;
353   --file | --fil | --fi | --f )
354     $ac_shift
355     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
356     ac_need_defaults=false;;
357   --header | --heade | --head | --hea )
358     $ac_shift
359     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
360     ac_need_defaults=false;;
361   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
362   | -silent | --silent | --silen | --sile | --sil | --si | --s)
363     ac_cs_silent=: ;;
364
365   # This is an error.
366   -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
367 Try \`$0 --help' for more information." >&5
368 echo "$as_me: error: unrecognized option: $1
369 Try \`$0 --help' for more information." >&2;}
370    { (exit 1); exit 1; }; } ;;
371
372   *) ac_config_targets="$ac_config_targets $1" ;;
373
374   esac
375   shift
376 done
377
378 ac_configure_extra_args=
379
380 if $ac_cs_silent; then
381   exec 6>/dev/null
382   ac_configure_extra_args="$ac_configure_extra_args --silent"
383 fi
384
385 if $ac_cs_recheck; then
386   echo "running /bin/bash ./configure " '--with-apxs=/bottlenecks/rubbos/app/apache2/bin/apxs' '--enable-jni' '--with-java-home=/bottlenecks/rubbos/app/jdk1.6.0_27' $ac_configure_extra_args " --no-create --no-recursion" >&6
387   exec /bin/bash ./configure '--with-apxs=/bottlenecks/rubbos/app/apache2/bin/apxs' '--enable-jni' '--with-java-home=/bottlenecks/rubbos/app/jdk1.6.0_27' $ac_configure_extra_args --no-create --no-recursion
388 fi
389
390 #
391 # INIT-COMMANDS section.
392 #
393
394 AMDEP_TRUE="" ac_aux_dir="scripts/build/unix"
395
396 for ac_config_target in $ac_config_targets
397 do
398   case "$ac_config_target" in
399   # Handling of arguments.
400   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
401   "apache-1.3/Makefile" ) CONFIG_FILES="$CONFIG_FILES apache-1.3/Makefile" ;;
402   "apache-1.3/Makefile.apxs" ) CONFIG_FILES="$CONFIG_FILES apache-1.3/Makefile.apxs" ;;
403   "apache-2.0/Makefile" ) CONFIG_FILES="$CONFIG_FILES apache-2.0/Makefile" ;;
404   "apache-2.0/Makefile.apxs" ) CONFIG_FILES="$CONFIG_FILES apache-2.0/Makefile.apxs" ;;
405   "common/Makefile" ) CONFIG_FILES="$CONFIG_FILES common/Makefile" ;;
406   "common/list.mk" ) CONFIG_FILES="$CONFIG_FILES common/list.mk" ;;
407   "common/jk_types.h" ) CONFIG_FILES="$CONFIG_FILES common/jk_types.h" ;;
408   "jni/Makefile" ) CONFIG_FILES="$CONFIG_FILES jni/Makefile" ;;
409   "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
410   "common/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS common/config.h" ;;
411   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
412 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
413    { (exit 1); exit 1; }; };;
414   esac
415 done
416
417 # If the user did not use the arguments to specify the items to instantiate,
418 # then the envvar interface is used.  Set only those that are not.
419 # We use the long form for the default assignment because of an extremely
420 # bizarre bug on SunOS 4.1.3.
421 if $ac_need_defaults; then
422   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
423   test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
424   test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
425 fi
426
427 # Have a temporary directory for convenience.  Make it in the build tree
428 # simply because there is no reason to put it here, and in addition,
429 # creating and moving files from /tmp can sometimes cause problems.
430 # Create a temporary directory, and hook for its removal unless debugging.
431 $debug ||
432 {
433   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
434   trap '{ (exit 1); exit 1; }' 1 2 13 15
435 }
436
437 # Create a (secure) tmp directory for tmp files.
438
439 {
440   tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
441   test -n "$tmp" && test -d "$tmp"
442 }  ||
443 {
444   tmp=./confstat$$-$RANDOM
445   (umask 077 && mkdir $tmp)
446 } ||
447 {
448    echo "$me: cannot create a temporary directory in ." >&2
449    { (exit 1); exit 1; }
450 }
451
452
453 #
454 # CONFIG_FILES section.
455 #
456
457 # No need to generate the scripts if there are no CONFIG_FILES.
458 # This happens for instance when ./config.status config.h
459 if test -n "$CONFIG_FILES"; then
460   # Protect against being on the right side of a sed subst in config.status.
461   sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
462    s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
463 s,@SHELL@,/bin/bash,;t t
464 s,@PATH_SEPARATOR@,:,;t t
465 s,@PACKAGE_NAME@,,;t t
466 s,@PACKAGE_TARNAME@,,;t t
467 s,@PACKAGE_VERSION@,,;t t
468 s,@PACKAGE_STRING@,,;t t
469 s,@PACKAGE_BUGREPORT@,,;t t
470 s,@exec_prefix@,${prefix},;t t
471 s,@prefix@,/usr/local,;t t
472 s,@program_transform_name@,s,x,x,,;t t
473 s,@bindir@,${exec_prefix}/bin,;t t
474 s,@sbindir@,${exec_prefix}/sbin,;t t
475 s,@libexecdir@,${exec_prefix}/libexec,;t t
476 s,@datadir@,${prefix}/share,;t t
477 s,@sysconfdir@,${prefix}/etc,;t t
478 s,@sharedstatedir@,${prefix}/com,;t t
479 s,@localstatedir@,${prefix}/var,;t t
480 s,@libdir@,${exec_prefix}/lib,;t t
481 s,@includedir@,${prefix}/include,;t t
482 s,@oldincludedir@,/usr/include,;t t
483 s,@infodir@,${prefix}/info,;t t
484 s,@mandir@,${prefix}/man,;t t
485 s,@build_alias@,,;t t
486 s,@host_alias@,,;t t
487 s,@target_alias@,,;t t
488 s,@DEFS@,-DHAVE_CONFIG_H,;t t
489 s,@ECHO_C@,,;t t
490 s,@ECHO_N@,-n,;t t
491 s,@ECHO_T@,,;t t
492 s,@LIBS@,,;t t
493 s,@build@,x86_64-unknown-linux-gnu,;t t
494 s,@build_cpu@,x86_64,;t t
495 s,@build_vendor@,unknown,;t t
496 s,@build_os@,linux-gnu,;t t
497 s,@host@,x86_64-unknown-linux-gnu,;t t
498 s,@host_cpu@,x86_64,;t t
499 s,@host_vendor@,unknown,;t t
500 s,@host_os@,linux-gnu,;t t
501 s,@target@,x86_64-unknown-linux-gnu,;t t
502 s,@target_cpu@,x86_64,;t t
503 s,@target_vendor@,unknown,;t t
504 s,@target_os@,linux-gnu,;t t
505 s,@INSTALL_PROGRAM@,${INSTALL},;t t
506 s,@INSTALL_SCRIPT@,${INSTALL},;t t
507 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
508 s,@CYGPATH_W@,echo,;t t
509 s,@PACKAGE@,mod_jk,;t t
510 s,@VERSION@,1.2.32,;t t
511 s,@ACLOCAL@,${SHELL} /bottlenecks/rubbos/app/tomcat-connectors-1.2.32-src/native/scripts/build/unix/missing --run aclocal-1.9,;t t
512 s,@AUTOCONF@,${SHELL} /bottlenecks/rubbos/app/tomcat-connectors-1.2.32-src/native/scripts/build/unix/missing --run autoconf,;t t
513 s,@AUTOMAKE@,${SHELL} /bottlenecks/rubbos/app/tomcat-connectors-1.2.32-src/native/scripts/build/unix/missing --run automake-1.9,;t t
514 s,@AUTOHEADER@,${SHELL} /bottlenecks/rubbos/app/tomcat-connectors-1.2.32-src/native/scripts/build/unix/missing --run autoheader,;t t
515 s,@MAKEINFO@,${SHELL} /bottlenecks/rubbos/app/tomcat-connectors-1.2.32-src/native/scripts/build/unix/missing --run makeinfo,;t t
516 s,@install_sh@,/bottlenecks/rubbos/app/tomcat-connectors-1.2.32-src/native/scripts/build/unix/install-sh,;t t
517 s,@STRIP@,strip,;t t
518 s,@ac_ct_STRIP@,strip,;t t
519 s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
520 s,@mkdir_p@,mkdir -p --,;t t
521 s,@AWK@,gawk,;t t
522 s,@SET_MAKE@,,;t t
523 s,@am__leading_dot@,.,;t t
524 s,@AMTAR@,${SHELL} /bottlenecks/rubbos/app/tomcat-connectors-1.2.32-src/native/scripts/build/unix/missing --run tar,;t t
525 s,@am__tar@,${AMTAR} chof - "$$tardir",;t t
526 s,@am__untar@,${AMTAR} xf -,;t t
527 s,@TEST@,/usr/bin/test,;t t
528 s,@RM@,/bin/rm,;t t
529 s,@GREP@,/bin/grep,;t t
530 s,@ECHO@,/bin/echo,;t t
531 s,@SED@,/bin/sed,;t t
532 s,@CP@,/bin/cp,;t t
533 s,@MKDIR@,/bin/mkdir,;t t
534 s,@CFLAGS@, -DHAVE_CONFIG_H -DHAVE_JNI,;t t
535 s,@PERL@,/usr/bin/perl,;t t
536 s,@APXS@,/bottlenecks/rubbos/app/apache2/bin/apxs,;t t
537 s,@APACHE_CONFIG_VARS@,/bottlenecks/rubbos/app/apache2/build/config_vars.mk,;t t
538 s,@CC@,gcc,;t t
539 s,@LDFLAGS@,,;t t
540 s,@CPPFLAGS@,,;t t
541 s,@ac_ct_CC@,gcc,;t t
542 s,@EXEEXT@,,;t t
543 s,@OBJEXT@,o,;t t
544 s,@DEPDIR@,.deps,;t t
545 s,@am__include@,include,;t t
546 s,@am__quote@,,;t t
547 s,@AMDEP_TRUE@,,;t t
548 s,@AMDEP_FALSE@,#,;t t
549 s,@AMDEPBACKSLASH@,\,;t t
550 s,@CCDEPMODE@,depmode=none,;t t
551 s,@am__fastdepCC_TRUE@,#,;t t
552 s,@am__fastdepCC_FALSE@,,;t t
553 s,@EGREP@,grep -E,;t t
554 s,@LN_S@,ln -s,;t t
555 s,@AR@,ar,;t t
556 s,@ac_ct_AR@,ar,;t t
557 s,@RANLIB@,ranlib,;t t
558 s,@ac_ct_RANLIB@,ranlib,;t t
559 s,@CPP@,gcc -E,;t t
560 s,@CXX@,g++,;t t
561 s,@CXXFLAGS@,-g -O2,;t t
562 s,@ac_ct_CXX@,g++,;t t
563 s,@CXXDEPMODE@,depmode=none,;t t
564 s,@am__fastdepCXX_TRUE@,#,;t t
565 s,@am__fastdepCXX_FALSE@,,;t t
566 s,@CXXCPP@,g++ -E,;t t
567 s,@F77@,,;t t
568 s,@FFLAGS@,,;t t
569 s,@ac_ct_F77@,,;t t
570 s,@LIBTOOL@,/bin/bash /bottlenecks/rubbos/app/apache2/build/libtool --silent,;t t
571 s,@int32_value@,int,;t t
572 s,@int32_t_fmt@,#define JK_INT32_T_FMT "d",;t t
573 s,@uint32_t_fmt@,#define JK_UINT32_T_FMT "u",;t t
574 s,@uint32_t_hex_fmt@,#define JK_UINT32_T_HEX_FMT "x",;t t
575 s,@int64_value@,long,;t t
576 s,@int64_t_fmt@,#define JK_INT64_T_FMT "ld",;t t
577 s,@uint64_t_fmt@,#define JK_UINT64_T_FMT "lu",;t t
578 s,@uint64_t_hex_fmt@,#define JK_UINT64_T_HEX_FMT "lx",;t t
579 s,@pid_t_fmt@,#define JK_PID_T_FMT "d",;t t
580 s,@pthread_t_fmt@,#define JK_PTHREAD_T_FMT "lu",;t t
581 s,@pthread_t_value@,long,;t t
582 s,@apache_include@,-I/bottlenecks/rubbos/app/apache2/include,;t t
583 s,@APACHE_DIR@,/bottlenecks/rubbos/app/apache2,;t t
584 s,@JK_JNI_WORKER@,${JK}jk_jni_worker${OEXT},;t t
585 s,@APXSCFLAGS@, -g -O2 -pthread -DHAVE_APR  -I/bottlenecks/rubbos/app/httpd-2.0.64/srclib/apr/include -I/bottlenecks/rubbos/app/httpd-2.0.64/srclib/apr-util/include  -DHAVE_CONFIG_H -DHAVE_JNI,;t t
586 s,@APXSCPPFLAGS@,-D_REENTRANT -D_GNU_SOURCE,;t t
587 s,@APXSLDFLAGS@,,;t t
588 s,@JAVA_HOME@,/bottlenecks/rubbos/app/jdk1.6.0_27,;t t
589 s,@OS@,linux,;t t
590 s,@WEBSERVER@,common jni apache-2.0,;t t
591 s,@MAKE_DYNAMIC_APACHE_TRUE@,,;t t
592 s,@MAKE_DYNAMIC_APACHE_FALSE@,#,;t t
593 s,@APACHE20_OEXT@,.c,;t t
594 s,@LIB_JK_TYPE@,mod_jk.so,;t t
595 s,@INSTALL_TYPE@,install_dynamic,;t t
596 s,@LIBOBJS@,,;t t
597 s,@LTLIBOBJS@,,;t t
598 CEOF
599
600   # Split the substitutions into bite-sized pieces for seds with
601   # small command number limits, like on Digital OSF/1 and HP-UX.
602   ac_max_sed_lines=48
603   ac_sed_frag=1 # Number of current file.
604   ac_beg=1 # First line for current file.
605   ac_end=$ac_max_sed_lines # Line after last line for current file.
606   ac_more_lines=:
607   ac_sed_cmds=
608   while $ac_more_lines; do
609     if test $ac_beg -gt 1; then
610       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
611     else
612       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
613     fi
614     if test ! -s $tmp/subs.frag; then
615       ac_more_lines=false
616     else
617       # The purpose of the label and of the branching condition is to
618       # speed up the sed processing (if there are no `@' at all, there
619       # is no need to browse any of the substitutions).
620       # These are the two extra sed commands mentioned above.
621       (echo ':t
622   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
623       if test -z "$ac_sed_cmds"; then
624         ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
625       else
626         ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
627       fi
628       ac_sed_frag=`expr $ac_sed_frag + 1`
629       ac_beg=$ac_end
630       ac_end=`expr $ac_end + $ac_max_sed_lines`
631     fi
632   done
633   if test -z "$ac_sed_cmds"; then
634     ac_sed_cmds=cat
635   fi
636 fi # test -n "$CONFIG_FILES"
637
638 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
639   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
640   case $ac_file in
641   - | *:- | *:-:* ) # input from stdin
642         cat >$tmp/stdin
643         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
644         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
645   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
646         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
647   * )   ac_file_in=$ac_file.in ;;
648   esac
649
650   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
651   ac_dir=`(dirname "$ac_file") 2>/dev/null ||
652 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
653          X"$ac_file" : 'X\(//\)[^/]' \| \
654          X"$ac_file" : 'X\(//\)$' \| \
655          X"$ac_file" : 'X\(/\)' \| \
656          .     : '\(.\)' 2>/dev/null ||
657 echo X"$ac_file" |
658     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
659           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
660           /^X\(\/\/\)$/{ s//\1/; q; }
661           /^X\(\/\).*/{ s//\1/; q; }
662           s/.*/./; q'`
663   { if $as_mkdir_p; then
664     mkdir -p "$ac_dir"
665   else
666     as_dir="$ac_dir"
667     as_dirs=
668     while test ! -d "$as_dir"; do
669       as_dirs="$as_dir $as_dirs"
670       as_dir=`(dirname "$as_dir") 2>/dev/null ||
671 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
672          X"$as_dir" : 'X\(//\)[^/]' \| \
673          X"$as_dir" : 'X\(//\)$' \| \
674          X"$as_dir" : 'X\(/\)' \| \
675          .     : '\(.\)' 2>/dev/null ||
676 echo X"$as_dir" |
677     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
678           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
679           /^X\(\/\/\)$/{ s//\1/; q; }
680           /^X\(\/\).*/{ s//\1/; q; }
681           s/.*/./; q'`
682     done
683     test ! -n "$as_dirs" || mkdir $as_dirs
684   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
685 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
686    { (exit 1); exit 1; }; }; }
687
688   ac_builddir=.
689
690 if test "$ac_dir" != .; then
691   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
692   # A "../" for each directory in $ac_dir_suffix.
693   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
694 else
695   ac_dir_suffix= ac_top_builddir=
696 fi
697
698 case $srcdir in
699   .)  # No --srcdir option.  We are building in place.
700     ac_srcdir=.
701     if test -z "$ac_top_builddir"; then
702        ac_top_srcdir=.
703     else
704        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
705     fi ;;
706   [\\/]* | ?:[\\/]* )  # Absolute path.
707     ac_srcdir=$srcdir$ac_dir_suffix;
708     ac_top_srcdir=$srcdir ;;
709   *) # Relative path.
710     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
711     ac_top_srcdir=$ac_top_builddir$srcdir ;;
712 esac
713
714 # Do not use `cd foo && pwd` to compute absolute paths, because
715 # the directories may not exist.
716 case `pwd` in
717 .) ac_abs_builddir="$ac_dir";;
718 *)
719   case "$ac_dir" in
720   .) ac_abs_builddir=`pwd`;;
721   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
722   *) ac_abs_builddir=`pwd`/"$ac_dir";;
723   esac;;
724 esac
725 case $ac_abs_builddir in
726 .) ac_abs_top_builddir=${ac_top_builddir}.;;
727 *)
728   case ${ac_top_builddir}. in
729   .) ac_abs_top_builddir=$ac_abs_builddir;;
730   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
731   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
732   esac;;
733 esac
734 case $ac_abs_builddir in
735 .) ac_abs_srcdir=$ac_srcdir;;
736 *)
737   case $ac_srcdir in
738   .) ac_abs_srcdir=$ac_abs_builddir;;
739   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
740   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
741   esac;;
742 esac
743 case $ac_abs_builddir in
744 .) ac_abs_top_srcdir=$ac_top_srcdir;;
745 *)
746   case $ac_top_srcdir in
747   .) ac_abs_top_srcdir=$ac_abs_builddir;;
748   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
749   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
750   esac;;
751 esac
752
753
754   case $INSTALL in
755   [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
756   *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
757   esac
758
759   if test x"$ac_file" != x-; then
760     { echo "$as_me:$LINENO: creating $ac_file" >&5
761 echo "$as_me: creating $ac_file" >&6;}
762     rm -f "$ac_file"
763   fi
764   # Let's still pretend it is `configure' which instantiates (i.e., don't
765   # use $as_me), people would be surprised to read:
766   #    /* config.h.  Generated by config.status.  */
767   if test x"$ac_file" = x-; then
768     configure_input=
769   else
770     configure_input="$ac_file.  "
771   fi
772   configure_input=$configure_input"Generated from `echo $ac_file_in |
773                                      sed 's,.*/,,'` by configure."
774
775   # First look for the input files in the build tree, otherwise in the
776   # src tree.
777   ac_file_inputs=`IFS=:
778     for f in $ac_file_in; do
779       case $f in
780       -) echo $tmp/stdin ;;
781       [\\/$]*)
782          # Absolute (can't be DOS-style, as IFS=:)
783          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
784 echo "$as_me: error: cannot find input file: $f" >&2;}
785    { (exit 1); exit 1; }; }
786          echo "$f";;
787       *) # Relative
788          if test -f "$f"; then
789            # Build tree
790            echo "$f"
791          elif test -f "$srcdir/$f"; then
792            # Source tree
793            echo "$srcdir/$f"
794          else
795            # /dev/null tree
796            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
797 echo "$as_me: error: cannot find input file: $f" >&2;}
798    { (exit 1); exit 1; }; }
799          fi;;
800       esac
801     done` || { (exit 1); exit 1; }
802   sed "/^[       ]*VPATH[        ]*=/{
803 s/:*\$(srcdir):*/:/;
804 s/:*\${srcdir}:*/:/;
805 s/:*@srcdir@:*/:/;
806 s/^\([^=]*=[     ]*\):*/\1/;
807 s/:*$//;
808 s/^[^=]*=[       ]*$//;
809 }
810
811 :t
812 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
813 s,@configure_input@,$configure_input,;t t
814 s,@srcdir@,$ac_srcdir,;t t
815 s,@abs_srcdir@,$ac_abs_srcdir,;t t
816 s,@top_srcdir@,$ac_top_srcdir,;t t
817 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
818 s,@builddir@,$ac_builddir,;t t
819 s,@abs_builddir@,$ac_abs_builddir,;t t
820 s,@top_builddir@,$ac_top_builddir,;t t
821 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
822 s,@INSTALL@,$ac_INSTALL,;t t
823 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
824   rm -f $tmp/stdin
825   if test x"$ac_file" != x-; then
826     mv $tmp/out $ac_file
827   else
828     cat $tmp/out
829     rm -f $tmp/out
830   fi
831
832 done
833
834 #
835 # CONFIG_HEADER section.
836 #
837
838 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
839 # NAME is the cpp macro being defined and VALUE is the value it is being given.
840 #
841 # ac_d sets the value in "#define NAME VALUE" lines.
842 ac_dA='s,^\([    ]*\)#\([        ]*define[       ][      ]*\)'
843 ac_dB='[         ].*$,\1#\2'
844 ac_dC=' '
845 ac_dD=',;t'
846 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
847 ac_uA='s,^\([    ]*\)#\([        ]*\)undef\([    ][      ]*\)'
848 ac_uB='$,\1#\2define\3'
849 ac_uC=' '
850 ac_uD=',;t'
851
852 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
853   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
854   case $ac_file in
855   - | *:- | *:-:* ) # input from stdin
856         cat >$tmp/stdin
857         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
858         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
859   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
860         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
861   * )   ac_file_in=$ac_file.in ;;
862   esac
863
864   test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
865 echo "$as_me: creating $ac_file" >&6;}
866
867   # First look for the input files in the build tree, otherwise in the
868   # src tree.
869   ac_file_inputs=`IFS=:
870     for f in $ac_file_in; do
871       case $f in
872       -) echo $tmp/stdin ;;
873       [\\/$]*)
874          # Absolute (can't be DOS-style, as IFS=:)
875          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
876 echo "$as_me: error: cannot find input file: $f" >&2;}
877    { (exit 1); exit 1; }; }
878          # Do quote $f, to prevent DOS paths from being IFS'd.
879          echo "$f";;
880       *) # Relative
881          if test -f "$f"; then
882            # Build tree
883            echo "$f"
884          elif test -f "$srcdir/$f"; then
885            # Source tree
886            echo "$srcdir/$f"
887          else
888            # /dev/null tree
889            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
890 echo "$as_me: error: cannot find input file: $f" >&2;}
891    { (exit 1); exit 1; }; }
892          fi;;
893       esac
894     done` || { (exit 1); exit 1; }
895   # Remove the trailing spaces.
896   sed 's/[       ]*$//' $ac_file_inputs >$tmp/in
897
898   # Handle all the #define templates only if necessary.
899   if grep "^[    ]*#[    ]*define" $tmp/in >/dev/null; then
900   # If there are no defines, we may have an empty if/fi
901   :
902   cat >$tmp/defines.sed <<CEOF
903 /^[      ]*#[    ]*define/!b
904 t clr
905 : clr
906 ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
907 ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
908 ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
909 ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
910 ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
911 ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"mod_jk"${ac_dD}
912 ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"1.2.32"${ac_dD}
913 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
914 ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
915 ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
916 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
917 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
918 ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
919 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
920 ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
921 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
922 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
923 ${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
924 ${ac_dA}SIZEOF_CHAR${ac_dB}SIZEOF_CHAR${ac_dC}1${ac_dD}
925 ${ac_dA}SIZEOF_INT${ac_dB}SIZEOF_INT${ac_dC}4${ac_dD}
926 ${ac_dA}SIZEOF_LONG${ac_dB}SIZEOF_LONG${ac_dC}8${ac_dD}
927 ${ac_dA}SIZEOF_SHORT${ac_dB}SIZEOF_SHORT${ac_dC}2${ac_dD}
928 ${ac_dA}SIZEOF_LONG_DOUBLE${ac_dB}SIZEOF_LONG_DOUBLE${ac_dC}16${ac_dD}
929 ${ac_dA}SIZEOF_LONG_LONG${ac_dB}SIZEOF_LONG_LONG${ac_dC}8${ac_dD}
930 ${ac_dA}SIZEOF_LONGLONG${ac_dB}SIZEOF_LONGLONG${ac_dC}0${ac_dD}
931 ${ac_dA}SIZEOF_PID_T${ac_dB}SIZEOF_PID_T${ac_dC}4${ac_dD}
932 ${ac_dA}SIZEOF_PTHREAD_T${ac_dB}SIZEOF_PTHREAD_T${ac_dC}8${ac_dD}
933 ${ac_dA}HAVE_SNPRINTF${ac_dB}HAVE_SNPRINTF${ac_dC}1${ac_dD}
934 ${ac_dA}HAVE_VSNPRINTF${ac_dB}HAVE_VSNPRINTF${ac_dC}1${ac_dD}
935 ${ac_dA}HAVE_FLOCK${ac_dB}HAVE_FLOCK${ac_dC}1${ac_dD}
936 ${ac_dA}USE_SO_RCVTIMEO${ac_dB}USE_SO_RCVTIMEO${ac_dC}1${ac_dD}
937 ${ac_dA}USE_SO_SNDTIMEO${ac_dB}USE_SO_SNDTIMEO${ac_dC}1${ac_dD}
938 ${ac_dA}USE_SOCK_CLOEXEC${ac_dB}USE_SOCK_CLOEXEC${ac_dC}1${ac_dD}
939 ${ac_dA}HAVE_POLL_H${ac_dB}HAVE_POLL_H${ac_dC}1${ac_dD}
940 ${ac_dA}HAVE_POLL${ac_dB}HAVE_POLL${ac_dC}1${ac_dD}
941 CEOF
942   sed -f $tmp/defines.sed $tmp/in >$tmp/out
943   rm -f $tmp/in
944   mv $tmp/out $tmp/in
945
946   fi # grep
947
948   # Handle all the #undef templates
949   cat >$tmp/undefs.sed <<CEOF
950 /^[      ]*#[    ]*undef/!b
951 t clr
952 : clr
953 ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
954 ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
955 ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
956 ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
957 ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
958 ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"mod_jk"${ac_uD}
959 ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"1.2.32"${ac_uD}
960 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
961 ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
962 ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
963 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
964 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
965 ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
966 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
967 ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
968 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
969 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
970 ${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
971 ${ac_uA}SIZEOF_CHAR${ac_uB}SIZEOF_CHAR${ac_uC}1${ac_uD}
972 ${ac_uA}SIZEOF_INT${ac_uB}SIZEOF_INT${ac_uC}4${ac_uD}
973 ${ac_uA}SIZEOF_LONG${ac_uB}SIZEOF_LONG${ac_uC}8${ac_uD}
974 ${ac_uA}SIZEOF_SHORT${ac_uB}SIZEOF_SHORT${ac_uC}2${ac_uD}
975 ${ac_uA}SIZEOF_LONG_DOUBLE${ac_uB}SIZEOF_LONG_DOUBLE${ac_uC}16${ac_uD}
976 ${ac_uA}SIZEOF_LONG_LONG${ac_uB}SIZEOF_LONG_LONG${ac_uC}8${ac_uD}
977 ${ac_uA}SIZEOF_LONGLONG${ac_uB}SIZEOF_LONGLONG${ac_uC}0${ac_uD}
978 ${ac_uA}SIZEOF_PID_T${ac_uB}SIZEOF_PID_T${ac_uC}4${ac_uD}
979 ${ac_uA}SIZEOF_PTHREAD_T${ac_uB}SIZEOF_PTHREAD_T${ac_uC}8${ac_uD}
980 ${ac_uA}HAVE_SNPRINTF${ac_uB}HAVE_SNPRINTF${ac_uC}1${ac_uD}
981 ${ac_uA}HAVE_VSNPRINTF${ac_uB}HAVE_VSNPRINTF${ac_uC}1${ac_uD}
982 ${ac_uA}HAVE_FLOCK${ac_uB}HAVE_FLOCK${ac_uC}1${ac_uD}
983 ${ac_uA}USE_SO_RCVTIMEO${ac_uB}USE_SO_RCVTIMEO${ac_uC}1${ac_uD}
984 ${ac_uA}USE_SO_SNDTIMEO${ac_uB}USE_SO_SNDTIMEO${ac_uC}1${ac_uD}
985 ${ac_uA}USE_SOCK_CLOEXEC${ac_uB}USE_SOCK_CLOEXEC${ac_uC}1${ac_uD}
986 ${ac_uA}HAVE_POLL_H${ac_uB}HAVE_POLL_H${ac_uC}1${ac_uD}
987 ${ac_uA}HAVE_POLL${ac_uB}HAVE_POLL${ac_uC}1${ac_uD}
988 s,^[     ]*#[    ]*undef[        ][      ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
989 CEOF
990   sed -f $tmp/undefs.sed $tmp/in >$tmp/out
991   rm -f $tmp/in
992   mv $tmp/out $tmp/in
993
994   # Let's still pretend it is `configure' which instantiates (i.e., don't
995   # use $as_me), people would be surprised to read:
996   #    /* config.h.  Generated by config.status.  */
997   if test x"$ac_file" = x-; then
998     echo "/* Generated by configure.  */" >$tmp/config.h
999   else
1000     echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
1001   fi
1002   cat $tmp/in >>$tmp/config.h
1003   rm -f $tmp/in
1004   if test x"$ac_file" != x-; then
1005     if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
1006       { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
1007 echo "$as_me: $ac_file is unchanged" >&6;}
1008     else
1009       ac_dir=`(dirname "$ac_file") 2>/dev/null ||
1010 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1011          X"$ac_file" : 'X\(//\)[^/]' \| \
1012          X"$ac_file" : 'X\(//\)$' \| \
1013          X"$ac_file" : 'X\(/\)' \| \
1014          .     : '\(.\)' 2>/dev/null ||
1015 echo X"$ac_file" |
1016     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1017           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1018           /^X\(\/\/\)$/{ s//\1/; q; }
1019           /^X\(\/\).*/{ s//\1/; q; }
1020           s/.*/./; q'`
1021       { if $as_mkdir_p; then
1022     mkdir -p "$ac_dir"
1023   else
1024     as_dir="$ac_dir"
1025     as_dirs=
1026     while test ! -d "$as_dir"; do
1027       as_dirs="$as_dir $as_dirs"
1028       as_dir=`(dirname "$as_dir") 2>/dev/null ||
1029 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1030          X"$as_dir" : 'X\(//\)[^/]' \| \
1031          X"$as_dir" : 'X\(//\)$' \| \
1032          X"$as_dir" : 'X\(/\)' \| \
1033          .     : '\(.\)' 2>/dev/null ||
1034 echo X"$as_dir" |
1035     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1036           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1037           /^X\(\/\/\)$/{ s//\1/; q; }
1038           /^X\(\/\).*/{ s//\1/; q; }
1039           s/.*/./; q'`
1040     done
1041     test ! -n "$as_dirs" || mkdir $as_dirs
1042   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1043 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1044    { (exit 1); exit 1; }; }; }
1045
1046       rm -f $ac_file
1047       mv $tmp/config.h $ac_file
1048     fi
1049   else
1050     cat $tmp/config.h
1051     rm -f $tmp/config.h
1052   fi
1053 # Compute $ac_file's index in $config_headers.
1054 _am_stamp_count=1
1055 for _am_header in $config_headers :; do
1056   case $_am_header in
1057     $ac_file | $ac_file:* )
1058       break ;;
1059     * )
1060       _am_stamp_count=`expr $_am_stamp_count + 1` ;;
1061   esac
1062 done
1063 echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
1064 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1065          X$ac_file : 'X\(//\)[^/]' \| \
1066          X$ac_file : 'X\(//\)$' \| \
1067          X$ac_file : 'X\(/\)' \| \
1068          .     : '\(.\)' 2>/dev/null ||
1069 echo X$ac_file |
1070     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1071           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1072           /^X\(\/\/\)$/{ s//\1/; q; }
1073           /^X\(\/\).*/{ s//\1/; q; }
1074           s/.*/./; q'`/stamp-h$_am_stamp_count
1075 done
1076
1077 #
1078 # CONFIG_COMMANDS section.
1079 #
1080 for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
1081   ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
1082   ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
1083   ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
1084 $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1085          X"$ac_dest" : 'X\(//\)[^/]' \| \
1086          X"$ac_dest" : 'X\(//\)$' \| \
1087          X"$ac_dest" : 'X\(/\)' \| \
1088          .     : '\(.\)' 2>/dev/null ||
1089 echo X"$ac_dest" |
1090     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1091           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1092           /^X\(\/\/\)$/{ s//\1/; q; }
1093           /^X\(\/\).*/{ s//\1/; q; }
1094           s/.*/./; q'`
1095   { if $as_mkdir_p; then
1096     mkdir -p "$ac_dir"
1097   else
1098     as_dir="$ac_dir"
1099     as_dirs=
1100     while test ! -d "$as_dir"; do
1101       as_dirs="$as_dir $as_dirs"
1102       as_dir=`(dirname "$as_dir") 2>/dev/null ||
1103 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1104          X"$as_dir" : 'X\(//\)[^/]' \| \
1105          X"$as_dir" : 'X\(//\)$' \| \
1106          X"$as_dir" : 'X\(/\)' \| \
1107          .     : '\(.\)' 2>/dev/null ||
1108 echo X"$as_dir" |
1109     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1110           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1111           /^X\(\/\/\)$/{ s//\1/; q; }
1112           /^X\(\/\).*/{ s//\1/; q; }
1113           s/.*/./; q'`
1114     done
1115     test ! -n "$as_dirs" || mkdir $as_dirs
1116   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1117 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1118    { (exit 1); exit 1; }; }; }
1119
1120   ac_builddir=.
1121
1122 if test "$ac_dir" != .; then
1123   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1124   # A "../" for each directory in $ac_dir_suffix.
1125   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1126 else
1127   ac_dir_suffix= ac_top_builddir=
1128 fi
1129
1130 case $srcdir in
1131   .)  # No --srcdir option.  We are building in place.
1132     ac_srcdir=.
1133     if test -z "$ac_top_builddir"; then
1134        ac_top_srcdir=.
1135     else
1136        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1137     fi ;;
1138   [\\/]* | ?:[\\/]* )  # Absolute path.
1139     ac_srcdir=$srcdir$ac_dir_suffix;
1140     ac_top_srcdir=$srcdir ;;
1141   *) # Relative path.
1142     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1143     ac_top_srcdir=$ac_top_builddir$srcdir ;;
1144 esac
1145
1146 # Do not use `cd foo && pwd` to compute absolute paths, because
1147 # the directories may not exist.
1148 case `pwd` in
1149 .) ac_abs_builddir="$ac_dir";;
1150 *)
1151   case "$ac_dir" in
1152   .) ac_abs_builddir=`pwd`;;
1153   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
1154   *) ac_abs_builddir=`pwd`/"$ac_dir";;
1155   esac;;
1156 esac
1157 case $ac_abs_builddir in
1158 .) ac_abs_top_builddir=${ac_top_builddir}.;;
1159 *)
1160   case ${ac_top_builddir}. in
1161   .) ac_abs_top_builddir=$ac_abs_builddir;;
1162   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1163   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
1164   esac;;
1165 esac
1166 case $ac_abs_builddir in
1167 .) ac_abs_srcdir=$ac_srcdir;;
1168 *)
1169   case $ac_srcdir in
1170   .) ac_abs_srcdir=$ac_abs_builddir;;
1171   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1172   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
1173   esac;;
1174 esac
1175 case $ac_abs_builddir in
1176 .) ac_abs_top_srcdir=$ac_top_srcdir;;
1177 *)
1178   case $ac_top_srcdir in
1179   .) ac_abs_top_srcdir=$ac_abs_builddir;;
1180   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1181   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
1182   esac;;
1183 esac
1184
1185
1186   { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
1187 echo "$as_me: executing $ac_dest commands" >&6;}
1188   case $ac_dest in
1189     depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1190   # Strip MF so we end up with the name of the file.
1191   mf=`echo "$mf" | sed -e 's/:.*$//'`
1192   # Check whether this is an Automake generated Makefile or not.
1193   # We used to match only the files named `Makefile.in', but
1194   # some people rename them; so instead we look at the file content.
1195   # Grep'ing the first line is not enough: some people post-process
1196   # each Makefile.in and add a new line on top of each file to say so.
1197   # So let's grep whole file.
1198   if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1199     dirpart=`(dirname "$mf") 2>/dev/null ||
1200 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1201          X"$mf" : 'X\(//\)[^/]' \| \
1202          X"$mf" : 'X\(//\)$' \| \
1203          X"$mf" : 'X\(/\)' \| \
1204          .     : '\(.\)' 2>/dev/null ||
1205 echo X"$mf" |
1206     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1207           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1208           /^X\(\/\/\)$/{ s//\1/; q; }
1209           /^X\(\/\).*/{ s//\1/; q; }
1210           s/.*/./; q'`
1211   else
1212     continue
1213   fi
1214   # Extract the definition of DEPDIR, am__include, and am__quote
1215   # from the Makefile without running `make'.
1216   DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1217   test -z "$DEPDIR" && continue
1218   am__include=`sed -n 's/^am__include = //p' < "$mf"`
1219   test -z "am__include" && continue
1220   am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1221   # When using ansi2knr, U may be empty or an underscore; expand it
1222   U=`sed -n 's/^U = //p' < "$mf"`
1223   # Find all dependency output files, they are included files with
1224   # $(DEPDIR) in their names.  We invoke sed twice because it is the
1225   # simplest approach to changing $(DEPDIR) to its actual value in the
1226   # expansion.
1227   for file in `sed -n "
1228     s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1229        sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1230     # Make sure the directory exists.
1231     test -f "$dirpart/$file" && continue
1232     fdir=`(dirname "$file") 2>/dev/null ||
1233 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1234          X"$file" : 'X\(//\)[^/]' \| \
1235          X"$file" : 'X\(//\)$' \| \
1236          X"$file" : 'X\(/\)' \| \
1237          .     : '\(.\)' 2>/dev/null ||
1238 echo X"$file" |
1239     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1240           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1241           /^X\(\/\/\)$/{ s//\1/; q; }
1242           /^X\(\/\).*/{ s//\1/; q; }
1243           s/.*/./; q'`
1244     { if $as_mkdir_p; then
1245     mkdir -p $dirpart/$fdir
1246   else
1247     as_dir=$dirpart/$fdir
1248     as_dirs=
1249     while test ! -d "$as_dir"; do
1250       as_dirs="$as_dir $as_dirs"
1251       as_dir=`(dirname "$as_dir") 2>/dev/null ||
1252 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1253          X"$as_dir" : 'X\(//\)[^/]' \| \
1254          X"$as_dir" : 'X\(//\)$' \| \
1255          X"$as_dir" : 'X\(/\)' \| \
1256          .     : '\(.\)' 2>/dev/null ||
1257 echo X"$as_dir" |
1258     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1259           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1260           /^X\(\/\/\)$/{ s//\1/; q; }
1261           /^X\(\/\).*/{ s//\1/; q; }
1262           s/.*/./; q'`
1263     done
1264     test ! -n "$as_dirs" || mkdir $as_dirs
1265   fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
1266 echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
1267    { (exit 1); exit 1; }; }; }
1268
1269     # echo "creating $dirpart/$file"
1270     echo '# dummy' > "$dirpart/$file"
1271   done
1272 done
1273  ;;
1274   esac
1275 done
1276
1277 { (exit 0); exit 0; }